Part Wedge/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}} <!-- missing docnav -->


{{Docnav
{{Docnav
Line 22: Line 21:
==Description==
==Description==


<div class="mw-translate-fuzzy">
Erstellt ein parametrisches Keil-Objekt. Der Keil hat standardmäßig eine große quadratische Grundfläche und eine kleinere quadratische Deckfläche.
Erstellt ein parametrisches Keil-Objekt. Der Keil hat standardmäßig eine große quadratische Grundfläche und eine kleinere quadratische Deckfläche.
</div>

[[Image:Part_Wedge_Example.png|400px]]


==Usage==
==Usage==


See [[Part_Primitives#Usage|Part Primitives]].
=== Start-Größe und Position ===


== Example ==
'''Position:'''
Die Standard-Orientierung platziert die Grundfläche in die XZ-Ebene und die Deckfläche in Richtung der Y-Achse. Der Nullpunkt der Grundfläche liegt in 0/0/0.


[[Image:Part_Wedge_Scripting_Example.png|thumb|Part Wedge from the scripting example]]
'''Grundfläche:'''
*X : 10 mm
*Z : 10 mm


A Part Wedge object created with the [[#Scripting|scripting example]] below is shown here.
'''Höhe:'''
*Y : 0-10 mm


== Notes ==
'''Deckfläche:'''
*X : 2-8 mm
*Z : 2-8 mm


* The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.


== Properties ==
[[File:PartWedgeProperty.png|left]]
{{clear}}


See also: [[Property_editor|Property editor]].
=== Parametrische Eingaben ===
{|
| [[File:PartWedgeProperty_Inputs.png]]
|
Zusammen mit der Standard-Orientierung stehen die Eingaben für:
*{{PropertyData/de|X min/max}} : Koordinatenwerte der unteren Fläche in X-Richtung
*{{PropertyData/de|Y min/max}}: Lage der oberen und unteren Fläche in Y-Richtung
*{{PropertyData/de|Z min/max}} : Koordinatenwerte der unteren Fläche in Z-Richtung
*{{PropertyData/de|X2 min/max}} : Koordinatenwerte der oberen Fläche in X-Richtung
*{{PropertyData/de|Z2 min/max}} : Koordinatenwerte der oberen Fläche in Z-Richtung
|}


A Part Wedge object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
=== Mehr Beispiele für Keile ===

[[File:Wedge_examples.png]]
=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Wedge}}

* {{PropertyData|Xmin|Distance}}: The lowest X coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Ymin|Distance}}: The Y coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Zmin|Distance}}: The lowest Z coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|X2min|Distance}}: The lowest X coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Z2min|Distance}}: The lowest Z coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Xmax|Distance}}: The highest X coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Ymax|Distance}}: The Y coordinate of the rear face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Zmax|Distance}}: The highest Z coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|X2max|Distance}}: The highest X coordinate of the rear face of the wedge. The default is {{Value|8mm}}.
* {{PropertyData|Z2max|Distance}}: The highest Z coordinate of the rear face of the wedge. The default is {{Value|8mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Wedge can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
}}

* Where {{Incode|"myWedge"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 71: Line 112:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:15, 3 March 2022

Part Wedge

Menüeintrag
Part → Part CreatePrimitives → Wedge
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part CreatePrimitives

Description

Erstellt ein parametrisches Keil-Objekt. Der Keil hat standardmäßig eine große quadratische Grundfläche und eine kleinere quadratische Deckfläche.

Usage

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DatenXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DatenYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DatenZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DatenX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DatenZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DatenXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DatenYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DatenZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DatenX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DatenZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()